Zamen | زامن
WARNING: Pangu Jailbreak of iOS 9.3.3 Requires Your Apple ID Login Credentials
Pangu has released a jailbreak of iOS 9.3.3 for the iPhone, iPad, and iPod touch; however, potential jailbreakers should be warned that the jailbreak requires your Apple ID login credentials.The PP Helper application used to jailbreak iOS 9.2 through 9.3.3 claims that your credentials will not be stored. Your email and password are used to generate a developer profile needed to run the PP app on your iOS device; however, we strongly suggest not providing this information to any third party EVER.The best solution is to set up a free Apple account using a different email address with no personal information attached. You can do that here.
See this content immediately after install